Detect a domain's registrar
Looks up the domain's nameservers to detect its DNS registrar and returns the provider, nameservers, and a link to its setup docs.
Looks up the domain's nameservers to detect its DNS registrar and returns the provider, nameservers, and a link to its setup docs.
Authorization
apiKey x-api-key<token>
In: header
Path Parameters
id*string
Match
^dom_[0-9a-hjkmnp-tv-z]{16,24}$Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
domain*string
Response Body
application/json
application/json
application/json
application/json
curl -X POST "https://example.com/v1/email/domains/string/registrar" \ -H "Content-Type: application/json" \ -d '{ "domain": "string" }'{ "provider": "string", "name": "string", "nameservers": [ "string" ], "docsUrl": "string"}Delete a forwarding rule
Permanently deletes an inbound email forwarding rule. Use this endpoint to delete a forwarding rule through the Samva email API.
Disable catch-all receiving
Disables catch-all inbound receiving for a domain. Use this endpoint to disable catch-all receiving through the Samva email API.